### Class

# GtkSource SnippetContext

#### Description [src]

    final class GtkSource.SnippetContext : GObject.Object
    {
      /* No available fields */
    }

Context for expanding `GtkSourceSnippetChunk`.

This class is currently used primary as a hashtable. However, the longer term goal is to have it hold onto a `GjsContext` as well as other languages so that `GtkSourceSnippetChunk` can expand themselves by executing script within the context.

The `GtkSourceSnippet` will build the context and then expand each of the chunks during the insertion/edit phase.

#### Ancestors

- GObject

#### Constructors

###### gtk_source_snippet_context_new

Creates a new `GtkSourceSnippetContext`.

#### Instance methods

###### gtk_source_snippet_context_clear_variables

Removes all variables from the context.

###### gtk_source_snippet_context_expand

No description available.

###### gtk_source_snippet_context_get_variable

Gets the current value for a variable named `key`.

###### gtk_source_snippet_context_set_constant

Sets a constatnt within the context.

###### gtk_source_snippet_context_set_line_prefix

No description available.

###### gtk_source_snippet_context_set_tab_width

No description available.

###### gtk_source_snippet_context_set_use_spaces

No description available.

###### gtk_source_snippet_context_set_variable

Sets a variable within the context.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### GtkSource.SnippetContext::changed

The signal is emitted when a change has been discovered in one of the chunks of the snippet which has caused a variable or other dynamic data within the context to have changed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceSnippetContextClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.